Virtual_EXOS Openflow module

  • 12 April 2017
  • 8 replies
  • 117 views

I am trying to setup an Openflow lab with Extreme switches using GNS3 and qemu based EXOS VM. I have imported the appliance and it works with no surprises so far.
Then I tried to update the appliance using the files I have from our physical devices (X440 & X460) but I get the following error message:

Error: Failed to download image - Error: File SUMMIT is not suitable for UNKNOWN.[/code]Is there any workaround for this or this is not current limitation of EXOS VM?

8 replies

Userlevel 7
Hi Tasos,

You need to use the vm .xos files to upgrade the VMs. You can find those over on our Virtual EXOS Github page.
Hi Brandon,

Thanks for the reply. What about the Openflow module? Is there also a modified version that works with EXOS VM? couldn't find anything at gihub repo..
Userlevel 7
Hi Tasos,

Starting in EXOS 21, the OpenFlow module is bundled in with the EXOS base image. I've uploaded the OpenFlow xmod for 16.2 to Github now, located here.
Thanks Brandon. I have now installed the Openflow module. Do I need to buy an extra licence to use openflow with the exos vm?
Userlevel 7
Thanks Brandon. I have now installed the Openflow module. Do I need to buy an extra licence to use openflow with the exos vm? What's the MAC address of the VM? (from
code:
show switch
)? I'll provide the license for you.
Thanks Brandon. I have now installed the Openflow module. Do I need to buy an extra licence to use openflow with the exos vm? Hi Drew,

Thanks for doing this. For now I have just a couple of switches with MAC addresses:
00:3F:14:AF:17:00
00:3F:14:B7:37:00

In case I want to add more switches to my virtual topology what is the way to move forward? Do we have to acquire a bunch of licence keys for EXOS virtual appliances?
Userlevel 7
Thanks Brandon. I have now installed the Openflow module. Do I need to buy an extra licence to use openflow with the exos vm? You're welcome! Here are the licenses for those two virtual switches.
code:
00:3F:14:AF:17:00 -> 9d68-8214-da17-0225-8ffe

code:
00:3F:14:B7:37:00 -> 9d68-8214-da17-0225-fe8f


For future use, you can enable the trial license, which includes OpenFlow.
http://documentation.extremenetworks.com/flr_22.2/exos_21_1/feature_license_requirements/c_trial_lic...
How can I use exos firmware version 16.2.1.6 with GNS3? Latest appliance file on github (exosvm.gns3a) has dropped support for this version.
Thanks

Reply